Loading...
Searching...
No Matches
XrdOucQueue< T > Class Template Reference

`#include <XrdOucChain.hh>`

Collaboration diagram for XrdOucQueue< T >:

## Public Member Functions

| XrdOucQueue ()
| ~XrdOucQueue ()
void | Add (XrdOucQSItem< T > *item)
int | isEmpty ()
T * | Remove ()

## Detailed Description

template<class T>
class XrdOucQueue< T >

Definition at line 67 of file XrdOucChain.hh.

## Constructor & Destructor Documentation

## XrdOucQueue()

template<class T>

XrdOucQueue< T >::XrdOucQueue | ( |  | ) |

inline

Definition at line 87 of file XrdOucChain.hh.

{anchor = lastelem = 0;}

## ~XrdOucQueue()

template<class T>

XrdOucQueue< T >::~XrdOucQueue | ( |  | ) |

inline

Definition at line 88 of file XrdOucChain.hh.

{}

## Member Function Documentation

## Add()

template<class T>

void XrdOucQueue< T >::Add | ( | XrdOucQSItem< T > * | item | ) |

inline

Definition at line 71 of file XrdOucChain.hh.

{item->nextelem = 0;
if (lastelem) {lastelem->nextelem = item;
lastelem = item;
}
else anchor = lastelem = item;
}
XrdOucQueue
Definition XrdOucChain.hh:68

References XrdOucQSItem< T >::nextelem.

## isEmpty()

template<class T>

int XrdOucQueue< T >::isEmpty | ( |  | ) |

inline

Definition at line 79 of file XrdOucChain.hh.

{return anchor == 0;}

## Remove()

template<class T>

T * XrdOucQueue< T >::Remove | ( |  | ) |

inline

Definition at line 81 of file XrdOucChain.hh.

{XrdOucQSItem<T> *qp;
if (!(qp = anchor)) return (T *)0;
if (!(anchor = anchor->nextelem)) lastelem = 0;
return qp->dataitem;
}

References XrdOucQSItem< T >::dataitem.

The documentation for this class was generated from the following file:

- XrdOucChain.hh